%**************************************************************************
% Filename   : computeCanny.m
% Use        : cannyFrames = computeCanny(frames)
% Description: returns an array of frames where only edges are visualized: 
%                    -frames: frames of the movie.
%              output:
%                    -cannyFrames: frames with subject's edges for each
%                                  frame.
% Authors    : Marco Branca, Lorenzo Camerini
%**************************************************************************

function cannyFrames = computeCanny(frames, barHandler)

cannyFrames = cast(zeros(size(frames(1).cdata,1), size(frames(1).cdata,2), length(frames)),'uint8');

colorWaitbar(0, barHandler, 'Finding edges: please wait...');
numberOfFrames = length(frames);
for i = 1:numberOfFrames
    cannyFrames(:,:,i) = edge(frames(i).cdata,'canny');
    cannyFrames(:,:,i) = cast(cannyFrames(:,:,i), 'uint8');
    colorWaitbar(i/numberOfFrames, barHandler);
end