%**************************************************************************
% Filename   : getFrames.m
% Use        : frames = getFrames(filename)
% Description: returns an array of frames composing the avi file.
%              input: 
%                    -filename: file's name.
%              output:
%                    -frames  : array of frames' structures.
% Authors    : Marco Branca, Lorenzo Camerini
%**************************************************************************
function frames = getFrames(filename)

numberOfSteps = 4;
fileinfo = aviinfo(filename);
numFrames = fileinfo.NumFrames;

%Comment this line to get all frames
%numFrames = 50;
barHandler = colorWaitbar(0, 'Please wait...');
for step = 0:numberOfSteps-1
    i = fix(step*numFrames/numberOfSteps+1);
    j = fix((step+1)*numFrames/numberOfSteps);
    frames(i:j) = aviread(filename,i:j);
    colorWaitbar((step+1)/numberOfSteps, barHandler);
end

close(barHandler);