%**************************************************************************
% Filename   : saveMovie.m
% Use        : saveMovie(movie, outputFilename)
% Description: save the frames in movie in the avi-file specified in 
%              outputFileName.
%              input: 
%                    - movie: array of frames to be saved in a single 
%                             avi-file.
%                    - outputFilename: name of the outputfile where to save
%                             the movie
% Authors    : Marco Branca, Lorenzo Camerini
%**************************************************************************

function saveMovie(movie, outputFilename)

m = avifile(outputFilename);

for i = 1: length(movie)
    m = addframe(m,movie(i));
end

m = close(m);